Grasshopper

algorithmic modeling for Rhino

Hi, i am new to scripting in GH and need your help with this:

I want to make a circle at 90 degrees angle from a line created in VB.

I thought i could extract a plane from the line using a similar method to this one:

 Dim EndPointA As Point3d = startLine.To + VectorA

Then use the plane for my circle.

This is my code:


    Dim LineA As line
    LineA = New Line(pt1, pt2)

    'Here i wish to make a plane from the endpoint
    'Of the New line (LineA) And use the New plane For the circle below


    circlelist.Add(New Rhino.Geometry.Circle(lnIn, 2))

    linelist.Add(LineA)

Also if you know any good sites for finding vb, sdk, gh code please share some, i know programming but fail to find the specific grammar.

Thanks!

f

Views: 325

Replies to This Discussion

Dim circle As New Circle(New Plane(pt1, pt2 - pt1), 2)

?

--

David Rutten

david@mcneel.com

Poprad, Slovakia

Thanks!

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service